<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Style\Conditional</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new Conditional.">
            <span class="description">Create a new Conditional.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_addCondition" title="addCondition ::Add Condition.">
            <span class="description">Add Condition.</span><pre>addCondition</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getConditions" title="getConditions ::Get Conditions.">
            <span class="description">Get Conditions.</span><pre>getConditions</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getConditionType" title="getConditionType ::Get Condition type.">
            <span class="description">Get Condition type.</span><pre>getConditionType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHashCode" title="getHashCode ::Get hash code.">
            <span class="description">Get hash code.</span><pre>getHashCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getOperatorType" title="getOperatorType ::Get Operator type.">
            <span class="description">Get Operator type.</span><pre>getOperatorType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getStopIfTrue" title="getStopIfTrue ::Get StopIfTrue.">
            <span class="description">Get StopIfTrue.</span><pre>getStopIfTrue</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getStyle" title="getStyle ::Get Style.">
            <span class="description">Get Style.</span><pre>getStyle</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getText" title="getText ::Get text.">
            <span class="description">Get text.</span><pre>getText</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setConditions" title="setConditions ::Set Conditions.">
            <span class="description">Set Conditions.</span><pre>setConditions</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setConditionType" title="setConditionType ::Set Condition type.">
            <span class="description">Set Condition type.</span><pre>setConditionType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setOperatorType" title="setOperatorType ::Set Operator type.">
            <span class="description">Set Operator type.</span><pre>setOperatorType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setStopIfTrue" title="setStopIfTrue ::Set StopIfTrue.">
            <span class="description">Set StopIfTrue.</span><pre>setStopIfTrue</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setStyle" title="setStyle ::Set Style.">
            <span class="description">Set Style.</span><pre>setStyle</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setText" title="setText ::Set text.">
            <span class="description">Set text.</span><pre>setText</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_CONDITION_CELLIS" title="CONDITION_CELLIS ::">
                        <span class="description"></span><pre>CONDITION_CELLIS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CONDITION_CONTAINSBLANKS" title="CONDITION_CONTAINSBLANKS ::">
                        <span class="description"></span><pre>CONDITION_CONTAINSBLANKS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CONDITION_CONTAINSTEXT" title="CONDITION_CONTAINSTEXT ::">
                        <span class="description"></span><pre>CONDITION_CONTAINSTEXT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CONDITION_EXPRESSION" title="CONDITION_EXPRESSION ::">
                        <span class="description"></span><pre>CONDITION_EXPRESSION</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CONDITION_NONE" title="CONDITION_NONE ::">
                        <span class="description"></span><pre>CONDITION_NONE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_BEGINSWITH" title="OPERATOR_BEGINSWITH ::">
                        <span class="description"></span><pre>OPERATOR_BEGINSWITH</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_BETWEEN" title="OPERATOR_BETWEEN ::">
                        <span class="description"></span><pre>OPERATOR_BETWEEN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_CONTAINSTEXT" title="OPERATOR_CONTAINSTEXT ::">
                        <span class="description"></span><pre>OPERATOR_CONTAINSTEXT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_ENDSWITH" title="OPERATOR_ENDSWITH ::">
                        <span class="description"></span><pre>OPERATOR_ENDSWITH</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_EQUAL" title="OPERATOR_EQUAL ::">
                        <span class="description"></span><pre>OPERATOR_EQUAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_GREATERTHAN" title="OPERATOR_GREATERTHAN ::">
                        <span class="description"></span><pre>OPERATOR_GREATERTHAN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_GREATERTHANOREQUAL" title="OPERATOR_GREATERTHANOREQUAL ::">
                        <span class="description"></span><pre>OPERATOR_GREATERTHANOREQUAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_LESSTHAN" title="OPERATOR_LESSTHAN ::">
                        <span class="description"></span><pre>OPERATOR_LESSTHAN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_LESSTHANOREQUAL" title="OPERATOR_LESSTHANOREQUAL ::">
                        <span class="description"></span><pre>OPERATOR_LESSTHANOREQUAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_NONE" title="OPERATOR_NONE ::">
                        <span class="description"></span><pre>OPERATOR_NONE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_NOTCONTAINS" title="OPERATOR_NOTCONTAINS ::">
                        <span class="description"></span><pre>OPERATOR_NOTCONTAINS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_NOTEQUAL" title="OPERATOR_NOTEQUAL ::">
                        <span class="description"></span><pre>OPERATOR_NOTEQUAL</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Conditional</h1>
                <small style="display: block; text-align: right">                        Implements<a href="../classes/PhpOffice.PhpSpreadsheet.IComparable.html">\PhpOffice\PhpSpreadsheet\IComparable</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Conditional.</h2>
                            <pre>__construct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_addCondition"></a>
                        <div class="element clickable methodpublic method_addCondition" data-toggle="collapse" data-target=".method_addCondition .collapse">
                            <h2>Add Condition.</h2>
                            <pre>addCondition(string $pValue): \PhpOffice\PhpSpreadsheet\Style\Conditional</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Condition</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Conditional.html">\PhpOffice\PhpSpreadsheet\Style\Conditional</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getConditions"></a>
                        <div class="element clickable methodpublic method_getConditions" data-toggle="collapse" data-target=".method_getConditions .collapse">
                            <h2>Get Conditions.</h2>
                            <pre>getConditions(): array&lt;mixed,string&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,string&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getConditionType"></a>
                        <div class="element clickable methodpublic method_getConditionType" data-toggle="collapse" data-target=".method_getConditionType .collapse">
                            <h2>Get Condition type.</h2>
                            <pre>getConditionType(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHashCode"></a>
                        <div class="element clickable methodpublic method_getHashCode" data-toggle="collapse" data-target=".method_getHashCode .collapse">
                            <h2>Get hash code.</h2>
                            <pre>getHashCode(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Hash code</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getOperatorType"></a>
                        <div class="element clickable methodpublic method_getOperatorType" data-toggle="collapse" data-target=".method_getOperatorType .collapse">
                            <h2>Get Operator type.</h2>
                            <pre>getOperatorType(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStopIfTrue"></a>
                        <div class="element clickable methodpublic method_getStopIfTrue" data-toggle="collapse" data-target=".method_getStopIfTrue .collapse">
                            <h2>Get StopIfTrue.</h2>
                            <pre>getStopIfTrue(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStyle"></a>
                        <div class="element clickable methodpublic method_getStyle" data-toggle="collapse" data-target=".method_getStyle .collapse">
                            <h2>Get Style.</h2>
                            <pre>getStyle(): \PhpOffice\PhpSpreadsheet\Style\Style</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Style\Style</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getText"></a>
                        <div class="element clickable methodpublic method_getText" data-toggle="collapse" data-target=".method_getText .collapse">
                            <h2>Get text.</h2>
                            <pre>getText(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setConditions"></a>
                        <div class="element clickable methodpublic method_setConditions" data-toggle="collapse" data-target=".method_setConditions .collapse">
                            <h2>Set Conditions.</h2>
                            <pre>setConditions(array&lt;mixed,string&gt; $pValue): \PhpOffice\PhpSpreadsheet\Style\Conditional</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>array&lt;mixed,string&gt;</code><p><p>Condition</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Conditional.html">\PhpOffice\PhpSpreadsheet\Style\Conditional</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setConditionType"></a>
                        <div class="element clickable methodpublic method_setConditionType" data-toggle="collapse" data-target=".method_setConditionType .collapse">
                            <h2>Set Condition type.</h2>
                            <pre>setConditionType(string $pValue): \PhpOffice\PhpSpreadsheet\Style\Conditional</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Condition type, see self::CONDITION_*</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Conditional.html">\PhpOffice\PhpSpreadsheet\Style\Conditional</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setOperatorType"></a>
                        <div class="element clickable methodpublic method_setOperatorType" data-toggle="collapse" data-target=".method_setOperatorType .collapse">
                            <h2>Set Operator type.</h2>
                            <pre>setOperatorType(string $pValue): \PhpOffice\PhpSpreadsheet\Style\Conditional</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Conditional operator type, see self::OPERATOR_*</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Conditional.html">\PhpOffice\PhpSpreadsheet\Style\Conditional</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setStopIfTrue"></a>
                        <div class="element clickable methodpublic method_setStopIfTrue" data-toggle="collapse" data-target=".method_setStopIfTrue .collapse">
                            <h2>Set StopIfTrue.</h2>
                            <pre>setStopIfTrue(boolean $value): \PhpOffice\PhpSpreadsheet\Style\Conditional</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Conditional.html">\PhpOffice\PhpSpreadsheet\Style\Conditional</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setStyle"></a>
                        <div class="element clickable methodpublic method_setStyle" data-toggle="collapse" data-target=".method_setStyle .collapse">
                            <h2>Set Style.</h2>
                            <pre>setStyle(\PhpOffice\PhpSpreadsheet\Style\Style $pValue = null): \PhpOffice\PhpSpreadsheet\Style\Conditional</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Style\Style</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Conditional.html">\PhpOffice\PhpSpreadsheet\Style\Conditional</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setText"></a>
                        <div class="element clickable methodpublic method_setText" data-toggle="collapse" data-target=".method_setText .collapse">
                            <h2>Set text.</h2>
                            <pre>setText(string $value): \PhpOffice\PhpSpreadsheet\Style\Conditional</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Conditional.html">\PhpOffice\PhpSpreadsheet\Style\Conditional</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_CONDITION_NONE"> </a>
                            <div class="element clickable constant constant_CONDITION_NONE" data-toggle="collapse" data-target=".constant_CONDITION_NONE .collapse">
                                <h2>CONDITION_NONE</h2>
                                <pre>CONDITION_NONE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CONDITION_CELLIS"> </a>
                            <div class="element clickable constant constant_CONDITION_CELLIS" data-toggle="collapse" data-target=".constant_CONDITION_CELLIS .collapse">
                                <h2>CONDITION_CELLIS</h2>
                                <pre>CONDITION_CELLIS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CONDITION_CONTAINSTEXT"> </a>
                            <div class="element clickable constant constant_CONDITION_CONTAINSTEXT" data-toggle="collapse" data-target=".constant_CONDITION_CONTAINSTEXT .collapse">
                                <h2>CONDITION_CONTAINSTEXT</h2>
                                <pre>CONDITION_CONTAINSTEXT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CONDITION_EXPRESSION"> </a>
                            <div class="element clickable constant constant_CONDITION_EXPRESSION" data-toggle="collapse" data-target=".constant_CONDITION_EXPRESSION .collapse">
                                <h2>CONDITION_EXPRESSION</h2>
                                <pre>CONDITION_EXPRESSION</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CONDITION_CONTAINSBLANKS"> </a>
                            <div class="element clickable constant constant_CONDITION_CONTAINSBLANKS" data-toggle="collapse" data-target=".constant_CONDITION_CONTAINSBLANKS .collapse">
                                <h2>CONDITION_CONTAINSBLANKS</h2>
                                <pre>CONDITION_CONTAINSBLANKS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_NONE"> </a>
                            <div class="element clickable constant constant_OPERATOR_NONE" data-toggle="collapse" data-target=".constant_OPERATOR_NONE .collapse">
                                <h2>OPERATOR_NONE</h2>
                                <pre>OPERATOR_NONE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_BEGINSWITH"> </a>
                            <div class="element clickable constant constant_OPERATOR_BEGINSWITH" data-toggle="collapse" data-target=".constant_OPERATOR_BEGINSWITH .collapse">
                                <h2>OPERATOR_BEGINSWITH</h2>
                                <pre>OPERATOR_BEGINSWITH</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_ENDSWITH"> </a>
                            <div class="element clickable constant constant_OPERATOR_ENDSWITH" data-toggle="collapse" data-target=".constant_OPERATOR_ENDSWITH .collapse">
                                <h2>OPERATOR_ENDSWITH</h2>
                                <pre>OPERATOR_ENDSWITH</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_EQUAL"> </a>
                            <div class="element clickable constant constant_OPERATOR_EQUAL" data-toggle="collapse" data-target=".constant_OPERATOR_EQUAL .collapse">
                                <h2>OPERATOR_EQUAL</h2>
                                <pre>OPERATOR_EQUAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_GREATERTHAN"> </a>
                            <div class="element clickable constant constant_OPERATOR_GREATERTHAN" data-toggle="collapse" data-target=".constant_OPERATOR_GREATERTHAN .collapse">
                                <h2>OPERATOR_GREATERTHAN</h2>
                                <pre>OPERATOR_GREATERTHAN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_GREATERTHANOREQUAL"> </a>
                            <div class="element clickable constant constant_OPERATOR_GREATERTHANOREQUAL" data-toggle="collapse" data-target=".constant_OPERATOR_GREATERTHANOREQUAL .collapse">
                                <h2>OPERATOR_GREATERTHANOREQUAL</h2>
                                <pre>OPERATOR_GREATERTHANOREQUAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_LESSTHAN"> </a>
                            <div class="element clickable constant constant_OPERATOR_LESSTHAN" data-toggle="collapse" data-target=".constant_OPERATOR_LESSTHAN .collapse">
                                <h2>OPERATOR_LESSTHAN</h2>
                                <pre>OPERATOR_LESSTHAN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_LESSTHANOREQUAL"> </a>
                            <div class="element clickable constant constant_OPERATOR_LESSTHANOREQUAL" data-toggle="collapse" data-target=".constant_OPERATOR_LESSTHANOREQUAL .collapse">
                                <h2>OPERATOR_LESSTHANOREQUAL</h2>
                                <pre>OPERATOR_LESSTHANOREQUAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_NOTEQUAL"> </a>
                            <div class="element clickable constant constant_OPERATOR_NOTEQUAL" data-toggle="collapse" data-target=".constant_OPERATOR_NOTEQUAL .collapse">
                                <h2>OPERATOR_NOTEQUAL</h2>
                                <pre>OPERATOR_NOTEQUAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_CONTAINSTEXT"> </a>
                            <div class="element clickable constant constant_OPERATOR_CONTAINSTEXT" data-toggle="collapse" data-target=".constant_OPERATOR_CONTAINSTEXT .collapse">
                                <h2>OPERATOR_CONTAINSTEXT</h2>
                                <pre>OPERATOR_CONTAINSTEXT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_NOTCONTAINS"> </a>
                            <div class="element clickable constant constant_OPERATOR_NOTCONTAINS" data-toggle="collapse" data-target=".constant_OPERATOR_NOTCONTAINS .collapse">
                                <h2>OPERATOR_NOTCONTAINS</h2>
                                <pre>OPERATOR_NOTCONTAINS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_BETWEEN"> </a>
                            <div class="element clickable constant constant_OPERATOR_BETWEEN" data-toggle="collapse" data-target=".constant_OPERATOR_BETWEEN .collapse">
                                <h2>OPERATOR_BETWEEN</h2>
                                <pre>OPERATOR_BETWEEN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_conditionType"> </a>
                            <div class="element clickable propertyprivate property_conditionType" data-toggle="collapse" data-target=".property_conditionType .collapse">
                                <h2>Condition type.</h2>
                                <pre>conditionType :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_operatorType"> </a>
                            <div class="element clickable propertyprivate property_operatorType" data-toggle="collapse" data-target=".property_operatorType .collapse">
                                <h2>Operator type.</h2>
                                <pre>operatorType :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_text"> </a>
                            <div class="element clickable propertyprivate property_text" data-toggle="collapse" data-target=".property_text .collapse">
                                <h2>Text.</h2>
                                <pre>text :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_stopIfTrue"> </a>
                            <div class="element clickable propertyprivate property_stopIfTrue" data-toggle="collapse" data-target=".property_stopIfTrue .collapse">
                                <h2>Stop on this condition, if it matches.</h2>
                                <pre>stopIfTrue :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_condition"> </a>
                            <div class="element clickable propertyprivate property_condition" data-toggle="collapse" data-target=".property_condition .collapse">
                                <h2>Condition.</h2>
                                <pre>condition :array&lt;mixed,string&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,string&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_style"> </a>
                            <div class="element clickable propertyprivate property_style" data-toggle="collapse" data-target=".property_style .collapse">
                                <h2>Style.</h2>
                                <pre>style :\PhpOffice\PhpSpreadsheet\Style\Style</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>\PhpOffice\PhpSpreadsheet\Style\Style</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Style\Conditional"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Style.html">Style</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Conditional.html">Conditional</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:53 +0000.<br/>
    </footer></body>
</html>
